# -*- coding: utf-8 -*-

from openerp import models, fields, api

class RepairConfigorder(models.Model):
	_inherit = 'repair.configorderimproved'

	@api.model
	def getRepairConfigorder(self,domain):
		RepairConfigorder = self.env['repair.configorderimproved'].search(domain)
		values = []
		for configorder in RepairConfigorder:
			try:
				street = configorder.partner_id.street
			except Exception as e:
				street = ''
			values.append({
                # ID
				'id': configorder.id,
                # ConfigORDER INFO
                'name': configorder.name or "",
                'user_name': configorder.user_id.name or "",
				'user_dos': configorder.user_dos or "",
				'planned_date': configorder.planned_date or "",
				'pedido_obra': configorder.pedido_obra or "",
                'name_obra': configorder.name_obra or "",
                'order_date': configorder.order_date or "",
				'ref_fact': configorder.ref_fact or "",
                'movil': configorder.movil or "",
                'brand_eq': configorder.brand_eq or "",
                'gas_eq': configorder.gas_eq or "",
				'turb_eq': configorder.turb_eq or "",
                'model_eq': configorder.model_eq or "",
			    'carga_eq': configorder.carga_eq or "",
				'capacitor_eq': configorder.capacitor_eq or "",
				'serie_eq': configorder.serie_eq or "",
				'tension_eq': configorder.tension_eq or "",
				'largo_eq': configorder.largo_eq or "",
				'capacidad_eq': configorder.capacidad_eq or "",
				'presion_ini_eq': configorder.presion_ini_eq or "",
				'presion_fin_eq': configorder.presion_fin_eq or "",
				'estado_eq': configorder.estado_eq or "",
				'trabajo_eq': configorder.trabajo_eq or "",
			    'mante_eq': configorder.mante_eq or "",
				'garan_eq': configorder.garan_eq or "",
				'ficha_eq': configorder.ficha_eq or "",
				'lacre_eq': configorder.lacre_eq or "",
				'tablero': configorder.tablero or "",
				'disyuntor_tab': configorder.disyuntor_tab or "",
				'tension_tab': configorder.tension_tab or "",
				'tensions_tab': configorder.tensions_tab or "",
				'cargar_tab': configorder.cargar_tab or "",
				'limitador_tab': configorder.limitador_tab or "",
				'serie_tab': configorder.serie_tab or "",
				'cargas_tab': configorder.cargas_tab or "",
				'tensiont_tab': configorder.tensiont_tab or "",
				'disyuntor2_tab': configorder.disyuntor2_tab or "",
				'cargat_tab': configorder.cargat_tab or "",
				'potencia_tab': configorder.potencia_tab or "",
				'estado_tab': configorder.estado_tab or "",
				'trabajo_tab': configorder.trabajo_tab or "",
	            'mante_tab': configorder.mante_tab or "",
	            'garan_tab': configorder.garan_tab or "",
				'ficha_tab': configorder.ficha_tab or "",
				'lacre_tab': configorder.lacre_tab or "",
				'equipo_tel': configorder.equipo_tel or "",
				'capacidad_tel': configorder.capacidad_tel or "",
				'tension_tel': configorder.tension_tel or "",
				'contrasena_tel': configorder.contrasena_tel or "",
				'dns_tel': configorder.dns_tel or "",
				'port_tel': configorder.port_tel or "",
				'brand_tel': configorder.brand_tel or "",
				'portact_tel': configorder.portact_tel or "",
				'ip_tel': configorder.ip_tel or "",
				'dnsalt_tel': configorder.dnsalt_tel or "",
				'host_tel': configorder.host_tel or "",
				'model_tel': configorder.model_tel or "",
				'zonas_tel': configorder.zonas_tel or "",
 				'mac_tel': configorder.mac_tel or "",
 				'correo_tel': configorder.correo_tel or "",
 				'ippub_tel': configorder.ippub_tel or "",
 				'serie_tel': configorder.serie_tel or "",
 				'usuario_tel': configorder.usuario_tel or "",
 				'iprouter_tel': configorder.iprouter_tel or "",
 				'contrasena2_tel': configorder.contrasena2_tel or "",
 				'contrdeco_tel': configorder.contrdeco_tel or "",
				'estado_tel': configorder.estado_tel or "",
				'trabajo_tel': configorder.trabajo_tel or "",
				'mante_tel': configorder.mante_tel or "",
				'garan_tel': configorder.garan_tel or "",
				'ficha_tel': configorder.ficha_tel or "",
				'lacre_tel': configorder.lacre_tel or "",
                # PARTNER INFO
				'partner_id': configorder.partner_id.id or "",
				'partner_name': configorder.partner_id.name or "",
				'partner_ruc': configorder.partner_id.ruc or "",
				'partner_address': street or "",
                'partner_phone': configorder.partner_id.phone or "",
				'partner_mobile': configorder.partner_id.mobile or "",
                # COMPANY INFO
                'company_id': configorder.user_id.company_id.id or "",
                'company_name': configorder.user_id.company_id.name or "",
                'company_logo': configorder.user_id.company_id.logo or "",
                'company_address': configorder.user_id.company_id.street2 or "",
                'company_phone': configorder.user_id.company_id.phone or "",
			})

		return values
