openerp.configorder_printbioelectric = function (instance, local) {
    local.widgetInstance = null;
    local.parentInstance = null;

    local.ConfigOrderbioelectricWidget = instance.Widget.extend({
        template : "configorder_printbioelectric.ConfigOrderbioelectric",
        jsonDoc:[],

        init:function(parent){
            this._super(parent);
        },

        updateId : function(id){
            var self = this;
            self.id=id;
        },

        start: function () {
            var self = this;
            this.$el.click(function (e) {
                self.fecthInitial();
            });
        },

        valorNull:function(dato){
            var valor ="";
            if (dato){
                if(dato == true && typeof dato == 'boolean'){
                    valor=" ";
                }else{
                    valor=dato;
                }
            }
            return valor;
        },

        fecthInitial: function(){
            var id= openerp.webclient._current_state.id;
            var self = this;
            self.fecthRepairConfigorder(id).then(function(RepairConfigorder){
                return RepairConfigorder;
            }).then(function(RepairConfigorder){
                self.RepairConfigorder = RepairConfigorder;
                return self.drawPDF();
            });
            return false;
        },

        fecthRepairConfigorder: function(id){
            var domain=[['id','=', id]];
            var RepairConfigorder = new instance.web.Model('repair.configorderimproved');
            return RepairConfigorder.call('getRepairConfigorder',[domain], {
                context: new instance.web.CompoundContext()
            });
        },


        drawPDF:function(){
            var self = this;
            var doc = self.RepairConfigorder.shift();

            var pdfDoc = new jsPDF();
            pdfDoc.addImage("data:image/png;base64," + doc.company_logo, 'PNG',12,5,45,15);


            // addPageContent: function (data) {

                    /*
                    ====================================================================
                        CABECERA
                    ====================================================================
                    */

                    pdfDoc.setFontSize(8);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,26,doc.company_address);

                    pdfDoc.setFontSize(8);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,30,'Cel.: ' + doc.company_phone);

                    pdfDoc.setFontSize(15);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(118,10,'ASISTENCIA TÉCNICA');

                    pdfDoc.setFontSize(12);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(110,15,'No válido como comprobante de venta.');

                    pdfDoc.setFontSize(15);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(130,22,'Nº  ' +  doc.name);

                    pdfDoc.setDrawColor('0', '0', '255');
                    pdfDoc.rect(13, 33, pdfDoc.internal.pageSize.getWidth() - 20 , 144, 'S');
                    pdfDoc.rect(13, 33, pdfDoc.internal.pageSize.getWidth() - 20 , 199, 'S');
                    pdfDoc.rect(13, 33, pdfDoc.internal.pageSize.getWidth() - 20 , 95, 'S');
                    pdfDoc.rect(13, 33, pdfDoc.internal.pageSize.getWidth() - 20 , 40, 'S');

                    /*
                    ====================================================================
                        PRIMERA SECCION
                    ====================================================================
                    */

                    pdfDoc.setFontSize(12);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(68,40,'FICHA TÉCNICA DE EQUIPOS');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,50,'Fecha: ' + moment(doc.order_date).format('DD/MM/YYYY'));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,55,'Cliente: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(31,55, doc.partner_name);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(145,55,'R.U.C. N°: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(165,55, doc.partner_ruc);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,60,'Pedido por: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(35,60, doc.pedido_obra);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(145,60,'Presupuesto N°: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(175,60, doc.ref_fact);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,65,'Obra: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(30,65,self.valorNull(doc.name_obra));


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(145,65,'Para fecha: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(165,65, moment(doc.planned_date).format('DD/MM/YYYY'));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,70,'Técnicos: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(32,70,self.valorNull(doc.user_name));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(72,70,self.valorNull(doc.user_dos));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(145,70,'Móvil: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(160,70, doc.movil);

                    pdfDoc.setFontSize(12);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(85,80,'TIPO DE SERVICIOS');

                    pdfDoc.setFontSize(11);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,87,'A- CLIMATIZACIÓN');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,95,'Marca eq.: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(32,95,self.valorNull(doc.brand_eq));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(58,95,'Modelo: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(73,95, doc.model_eq);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(97,95,'N° serie: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(113,95, doc.serie_eq);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(145,95,'Capacidad: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(171,95, doc.capacidad_eq);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,100,'Gas: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(27,100,self.valorNull(doc.gas_eq));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(58,100,'Carga:(A) ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(79,100, doc.carga_eq);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(97,100,'Tensión:(V) ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(118,100, doc.tension_eq);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(145,100,'Presión inic.: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(171,100, doc.presion_ini_eq);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,105,'Turbina ev.: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(35,105,doc.turb_eq);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(95,105,'Capacitor: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(113,105, !!doc.capacitor_eq ?doc.capacitor_eq : "");

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(126,105,'Largo Ducto: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(149,105, doc.largo_eq);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(161,105,'Presión final.: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(187,105, doc.presion_fin_eq);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,115,'Estado de trabajo: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(46,115,self.valorNull(doc.estado_eq));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,120,'Trabajo realizado: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(45,120,self.valorNull(doc.trabajo_eq));


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,125,'Mantenimiento: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(30,125,self.valorNull(doc.mante_eq));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(55,125,'Garantía: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(71,125, !!doc.garan_eq ?doc.garan_eq : "");

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(95,125,'Ficha N°: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(102,125, doc.ficha_eq);


                    pdfDoc.setFontSize(12);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,135,'B- ELECTRICIDAD - TABLEROS');


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,145,'Tablero: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(32,145,self.valorNull(doc.tablero));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(58,145,'N° Serie: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(73,145, doc.serie_tab);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(97,145,'Limitador:(A) ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(120,145, doc.limitador_tab);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(145,145,'Disyuntor dif.: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(176,145, doc.disyuntor_tab);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,150,'Disyuntor dif.2: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(42,150,self.valorNull(doc.disyuntor2_tab));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(58,150,'Carga R:(A) ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(79,150, doc.cargar_tab);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(97,150,'Carga S:(A)');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(118,150, doc.cargas_tab);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(145,150,'Carga T:(A) ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(171,150, doc.cargat_tab);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,155,'Tensión R:(v) ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(39,155,doc.tension_tab);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(58,155,'Tensión S:(v) ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(83,155, doc.tensions_tab);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(97,155,'Tensión T:(v) ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(120,155, doc.tensiont_tab);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(145,155,'Potencia act: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(171,155, doc.potencia_tab);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,165,'Estado de trabajo: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(46,165,self.valorNull(doc.estado_tab));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,170,'Trabajo realizado: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(45,170,self.valorNull(doc.trabajo_tab));


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,175,'Mantenimiento: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(41,175,self.valorNull(doc.mante_tab));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(68,175,'Garantía: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(84,175, !!doc.garan_tab ?doc.garan_tab : "");

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(105,175,'Ficha N°: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(122,175, doc.ficha_tab);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(150,175,'Lacre/ sellos: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(177,175, doc.lacre_tab);

                    pdfDoc.setFontSize(12);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,185,'C- TELECOMUNICACIONES - PCI - ALARMAS.');


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,195,'Tipo de equipo: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(43,195,self.valorNull(doc.equipo_tel));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(58,195,'Marca: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(73,195, doc.brand_tel);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(97,195,'Modelo ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(113,195, doc.model_tel);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(147,195,'N° serie: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(171,195, doc.serie_tel);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,200,'Capacidad: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(34,200,self.valorNull(doc.capacidad_tel));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(58,200,'Puertos act.: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(81,200, doc.portact_tel);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(97,200,'Zonas act:');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(118,200, doc.zonas_tel);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(147,200,'Usuario: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(170,200, doc.usuario_tel);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,205,'Contraseña: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(35,205,doc.contrasena_tel);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(65,205,'Dir.IPv4 : ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(80,205, doc.ip_tel);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(105,205,'Dir.Mac: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(120,205, doc.mac_tel);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(153,205,'Dir.Ip.router: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(178,205, doc.iprouter_tel);



                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('bold');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(14,210,'Serv.DNS fav: ');

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('normal');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(38,210,doc.dns_tel);

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('bold');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(64,210,'Serv.DNS alt: ');

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('normal');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(87,210, doc.dnsalt_tel);

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('bold');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(111,210,'Correo: ');

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('normal');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(124,210, doc.correo_tel);


                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('bold');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(159,210,'Contraseña: ');

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('normal');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(181,210, doc.contrasena2_tel);


                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('bold');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(14,215,'Puerto HTTP: ');

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('normal');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(37,215,doc.port_tel);

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('bold');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(58,215,'Puerto host: ');

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('normal');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(83,215, doc.host_tel);

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('bold');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(97,215,'IP Pública: ');

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('normal');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(120,215, doc.ippub_tel);


                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('bold');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(147,215,'Contr deco: ');

                                        pdfDoc.setFontSize(10);
                                        pdfDoc.setFontStyle('normal');
                                        pdfDoc.setTextColor(40);
                                        pdfDoc.text(171,215, doc.contrdeco_tel);


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,220,'Estado de trabajo: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(46,220,self.valorNull(doc.estado_tel));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,225,'Trabajo realizado: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(45,225,self.valorNull(doc.trabajo_tel));


                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(14,230,'Mantenimiento: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(40,230,self.valorNull(doc.mante_tel));

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(60,230,'Garantía: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(76,230, !!doc.garan_tel ?doc.garan_tel : "");

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(95,230,'Ficha N°: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(112,230, doc.ficha_tel);

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(147,230,'Lacre/ sellos: ');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(40);
                    pdfDoc.text(171,230, doc.lacre_tel);

                    pdfDoc.setFontSize(8);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14, 238,'Firma de conformidad de cliente:  .............................................   Aclaración: ');

                    pdfDoc.setFontSize(8);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,245,'C.I.N°: .................................       Fecha: ...../...../............');

                    pdfDoc.setFontSize(8);
                    pdfDoc.setFontStyle('bold');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14, 252,'Firma técnico responsable:  .............................................   Aclaración: ');

                    pdfDoc.setFontSize(8);
                    pdfDoc.setFontStyle('normal');
                    pdfDoc.setTextColor(10);
                    pdfDoc.text(14,259,'C.I.N°: .................................       Fecha: ...../...../............');

                    pdfDoc.setFontSize(10);
                    pdfDoc.setFontStyle('normal');
                    var paragraph="La firma de este documento implica la conformidad plena del cliente sobre la calidad de los servicios y equipos recibidos. Las garantías contra defectos de fábrica son de 90 días y mano de obra se detalla en cada sección. Queda agendado el mantenimiento para la fecha asignada, la respuesta de garantía es de 24 a 72hs hábiles. En todos los casos Bio Electric se compromete al servicio post venta para futuros mantenimientos o reparaciones.";
                    pdfDoc.text(paragraph,12,265,{maxWidth:188,align:'justify'});




            pdfDoc.save('Lista de Configuración.pdf');
        },
    });
    if (instance.web && instance.web.FormView) {
        instance.web.FormView.include({
            load_form: function (record) {
                this._super.apply(this, arguments);
                if (this.model !== 'repair.configorderimproved') return;
                local.parentInstance = this;
                if (local.widgetInstance) {
                    local.widgetInstance.updateId(record.id);
                }
                local.widgetInstance = new local.ConfigOrderbioelectricWidget(this);
                var elemento = this.$el.find('.oe_form_sheet.oe_form_sheet_width');
                elemento =  elemento.find('.oe_right.oe_button_box.configorderbioelectric_button_box');
                local.widgetInstance.appendTo(elemento);
                local.widgetInstance.updateId(record.id);
            }
        });
    }
};
